Bug 971200 - repo copy rpm with --recursive flag seems to be running for ever
repo copy rpm with --recursive flag seems to be running for ever
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.2 Beta
Unspecified Unspecified
high Severity high
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks: 955700
  Show dependency treegraph
 
Reported: 2013-06-05 21:31 EDT by Preethi Thomas
Modified: 2013-09-10 11:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:44:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-06-05 21:31:35 EDT
Description of problem:

when I run repo copy rpm --recursive option it seems to be running state forever

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
[root@hp-dl360g6-01 ~]# pulp-admin rpm repo create --repo-id pulp --feed http://repos.fedorapeople.org/repos/pulp/pulp/v2/testing/fedora-18/x86_64/
Successfully created repository [pulp]

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo create --repo-id pulp-copy
Successfully created repository [pulp-copy]

[root@hp-dl360g6-01 ~]# 
[root@hp-dl360g6-01 ~]# 
[root@hp-dl360g6-01 ~]# pulp-admin rpm repo sync run --repo-id pulp
+----------------------------------------------------------------------+
                    Synchronizing Repository [pulp]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       43/43 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 43/43 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed


[root@hp-dl360g6-01 ~]# pulp-admin rpm repo copy rpm  --from-repo-id pulp --to-repo-id pulp-copy --str-eq 'name=pulp-agent'  --recursive
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

[|]
Running...



Actual results:


Expected results:


Additional info:


From the server_calls log


2013-06-05 21:24:47,991 - INFO - GET request to /pulp/api/v2/tasks/3d4ab38d-268d-4a73-86e9-71c89114553a/ with parameters None
2013-06-05 21:24:47,991 - INFO - Response status : 200 

2013-06-05 21:24:47,992 - INFO - Response body :
 {
  "task_group_id": null, 
  "call_request_id": "3d4ab38d-268d-4a73-86e9-71c89114553a", 
  "exception": null, 
  "_href": "/pulp/api/v2/tasks/3d4ab38d-268d-4a73-86e9-71c89114553a/", 
  "task_id": "3d4ab38d-268d-4a73-86e9-71c89114553a", 
  "call_request_tags": [
    "pulp:repository:pulp-copy", 
    "pulp:repository:pulp", 
    "pulp:action:associate"
  ], 
  "reasons": [], 
  "start_time": "2013-06-06T01:22:53Z", 
  "traceback": null, 
  "schedule_id": null, 
  "finish_time": null, 
  "state": "running", 
  "result": null, 
  "dependency_failures": {}, 
  "call_request_group_id": null, 
  "progress": {}, 
  "principal_login": "admin", 
  "response": "accepted", 
  "tags": [
    "pulp:repository:pulp-copy", 
    "pulp:repository:pulp", 
    "pulp:action:associate"
  ]
}
Comment 1 Michael Hrivnak 2013-06-06 13:38:34 EDT
https://github.com/pulp/pulp_rpm/pull/231
Comment 2 Jeff Ortel 2013-06-11 10:15:35 EDT
build: 2.2.0-0.3.beta
Comment 3 Preethi Thomas 2013-06-12 07:53:53 EDT
Fails-qa
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.3.beta.fc18.noarch
[root@hp-dl360g6-01 ~]# 

repo copy rpm with --recursive no longer hangs. But it doesn't seem to be getting the dependencies for packages when recursive is specified.

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo create --repo-id pulp --feed http://repos.fedorapeople.org/repos/pulp/pulp/v2/testing/fedora-18/x86_64/
Successfully created repository [pulp]


[root@hp-dl360g6-01 ~]# pulp-admin rpm repo create --repo-id pulp-copy
Successfully created repository [pulp-copy]

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo sync run --repo-id pulp
+----------------------------------------------------------------------+
                    Synchronizing Repository [pulp]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       43/43 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 43/43 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@hp-dl360g6-01 ~]#  pulp-admin rpm repo copy rpm  --from-repo-id pulp --to-repo-id pulp-copy --str-eq 'name=pulp-agent'  --recursive
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

[-]
Running...

Units:
  pulp-agent-2.2.0-0.3.beta.fc18-noarch

[root@hp-dl360g6-01 ~]#  pulp-admin rpm repo copy rpm  --from-repo-id pulp --to-repo-id pulp-copy --str-eq 'name=pulp-server'  --recursive
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

[-]
Running...

Units:
  pulp-server-2.2.0-0.3.beta.fc18-noarch
Comment 4 Preethi Thomas 2013-06-12 12:03:45 EDT
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.3.beta.fc18.noarch

[root@hp-dl360g6-01 ~]#  pulp-admin rpm repo copy rpm  --from-repo-id pulp --to-repo-id pulp-copy --str-eq 'name=pulp-agent'  --recursive
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

[-]
Running...

Units:
  pulp-agent-2.2.0-0.3.beta.fc18-noarch

[root@hp-dl360g6-01 ~]#  pulp-admin rpm repo copy rpm  --from-repo-id pulp --to-repo-id pulp-copy --str-eq 'name=pulp-server'  --recursive
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

[-]
Running...

Units:
  pulp-server-2.2.0-0.3.beta.fc18-noarch
Comment 5 Preethi Thomas 2013-09-10 11:44:05 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.